package xyz.leomurca.csgomatches

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.core.splashscreen.SplashScreen.Companion.installSplashScreen
import dagger.hilt.android.AndroidEntryPoint
import xyz.leomurca.csgomatches.ui.navigation.RootNavHost
import xyz.leomurca.csgomatches.ui.theme.CSGOMatchesTheme

@AndroidEntryPoint
class MainActivity : ComponentActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        installSplashScreen()
        super.onCreate(savedInstanceState)

        enableEdgeToEdge()
        setContent {
            CSGOMatchesTheme {
                RootNavHost()
            }
        }
    }
}
