package xyz.leomurca.csgomatches.ui.navigation

import androidx.navigation.NavGraphBuilder
import androidx.navigation.compose.composable
import kotlinx.serialization.Serializable
import xyz.leomurca.csgomatches.ui.screens.matches.MatchesScreen

@Serializable
object MatchesRoute

fun NavGraphBuilder.matchesScreen(onTapCard: (MatchDetailsRoute) -> Unit) {
    composable<MatchesRoute> {
        MatchesScreen(onTapCard = onTapCard)
    }
}