package xyz.leomurca.csgomatches.ui.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.rememberNavController

@Composable
fun RootNavHost() {
    val navController = rememberNavController()
    NavHost(
        navController = navController,
        startDestination = MatchesRoute
    ) {
        matchesScreen {
            navController.navigate(it)
        }
        matchDetailsScreen {
            navController.popBackStack()
        }
    }
}