package xyz.leomurca.csgomatches.ui.theme

import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.runtime.Composable

private val AppColorScheme = lightColorScheme(
    background = DeepSpaceBlue,
    primary = White,
    secondary = StormySlate,
    surface = StormySlate
)

@Composable
fun CSGOMatchesTheme(content: @Composable () -> Unit) {
    MaterialTheme(
        colorScheme = AppColorScheme,
        typography = Typography,
        content = content
    )
}